OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDF

# TDF_IDMap Class Reference

`#include <TDF_IDMap.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_IDMap (const Standard_Integer NbBuckets=1)
Standard_EXPORT TDF_IDMap & | Assign (const TDF_IDMap &Other)
TDF_IDMap & | operator= (const TDF_IDMap &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TDF_IDMap ()
Standard_EXPORT Standard_Boolean | Add (const Standard_GUID &aKey)
Standard_EXPORT Standard_Boolean | Contains (const Standard_GUID &aKey) const
Standard_EXPORT Standard_Boolean | Remove (const Standard_GUID &aKey)
## Private Member Functions
Standard_EXPORT | TDF_IDMap (const TDF_IDMap &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TDF_IDMap::TDF_IDMap | ( | const Standard_Integer | NbBuckets = `1` | ) |

TDF_IDMap::~TDF_IDMap | ( |  | ) | `[inline]`

Standard_EXPORT TDF_IDMap::TDF_IDMap | ( | const TDF_IDMap & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean TDF_IDMap::Add | ( | const Standard_GUID & | aKey | ) |

Standard_EXPORT TDF_IDMap& TDF_IDMap::Assign | ( | const TDF_IDMap & | Other | ) |

Standard_EXPORT void TDF_IDMap::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean TDF_IDMap::Contains | ( | const Standard_GUID & | aKey | ) | const

void TDF_IDMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_IDMap::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_IDMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TDF_IDMap& TDF_IDMap::operator= | ( | const TDF_IDMap & | Other | ) | `[inline]`

Standard_EXPORT Standard_Boolean TDF_IDMap::Remove | ( | const Standard_GUID & | aKey | ) |

Standard_EXPORT void TDF_IDMap::ReSize | ( | const Standard_Integer | NbBuckets | ) |

The documentation for this class was generated from the following file:

- TDF_IDMap.hxx